Skip to main content
GET
Get workspace by URL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

url
string
required

Workspace URL

Response

get workspace by URL

id
string

The Workspace ID.

Example:

"1110580a82031111aaa03333"

url
string

The URL of the workspace.

Example:

"reqlick-url"

name
string

The name of the workspace.

Example:

"Reqlick"

The logo of the workspace.

Example:

"logo.png"

status
enum<string>

The member status of the current user.

Available options:
PENDING,
ACCEPTED,
DECLINED
Example:

"ACCEPTED"

role
enum<string>

The member role of the current user.

Available options:
OWNER,
ADMIN,
MEMBER
Example:

"MEMBER"

subscriptionId
string

The workspace subscription Id.

Example:

"1110580a82031111aaa03333"

clicksLimit
integer

The workspace clicks limit

Example:

1000

stockageLimit
integer

The workspace stockage limit

Example:

10000

The workspace QR Code limit

Example:

10

The workspace short links limit

Example:

100

plan
enum<string>

The member plan

Available options:
FREE,
PRO,
CUSTOM
Example:

"FREE"

isPaymentFailed
boolean

The subscription payment status

Example:

true